Subject: Re: bug#43830: keyboard layout handling incompatible with rest of the OS

From: Paul Pogonyshev <[email-masked]>
Date: Tue, 6 Oct 2020 20:59:31 +0200

> You can use the package https://github.com/a13/reverse-im.el

Mostly works fine, but e.g. C-. in Russian doesn't work as C-/ (undo) for me
(in Russian layout '.' is on the same key as '/' in English).

Pretty sure the correct way would be for Emacs to support this natively,
not hack from Elisp side, which has no information about physical keys,
only typed characters.

> your previous request some years ago

Must be more than 10 years ago I guess, I used to type some Russian
text back then.

Paul

On Tue, 6 Oct 2020 at 20:47, Juri Linkov <[email-masked]> wrote:

> > I use English and Russian keyboard layouts. For every single application
> I
> > don't need to care which layout is currently selected for shortcuts, e.g.
> > Ctrl+S and Ctrl+Ы do the same (S and Ы are on the same physical key). Of
> > course, in Emacs it doesn't work this way: C-s triggers Isearch, but C-ы
> > "is undefined".
>
> You can use the package https://github.com/a13/reverse-im.el
> that was created from code that I wrote to address your previous request
> some years ago.
>